#ifndef MEDIUM_BLASTER_H
#define MEDIUM_BLASTER_H


#include "weapon.h"

/**
 *	@author Marc Schaerer <marcscha@ee.ethz.ch>
 *  
 *  Medium Blaster class
 */
class MediumBlaster : public Weapon
{
  //ObjectListDeclaration(MediumBlaster);
  public:
    MediumBlaster();
    MediumBlaster (const TiXmlElement* root);
    virtual ~MediumBlaster();

    void init();
    virtual void loadParams(const TiXmlElement* root);

    virtual void activate();
    virtual void deactivate();

    virtual void fire();

    virtual void tick(float dt);

    virtual void draw() const;

  private:
    PNode*** objComp;
    Animation3D*** shootAnim;
    PNode** emissionPoint;

    int activeBarrel;

};

#endif
